<?php
/**
* OpenPHPNuke: Great Web Portal System
*
* Copyright (c) 2001-2006 by
* Heinz Hombergs heinz@hhombergs.de
* Stefan Kaletta stefan@kaletta.de
* Alexander Weber xweber@kamelfreunde.de
*
* This program is free software. You can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation; either version 2 of the License.
* See LICENSE for details.
*
* This software is based on various code found in the internet
* See CREDITS for details
* If you are an author of a part of opn and not you are not mentioned
* SORRY for that ! We respect your rights to your code, so please send
* an eMail to devteam@openphpnuke.com we will include you to the CREDITS asap
*/
if (!defined ('_OPN_MAINFILE_INCLUDED') ) {
	include ('../../mainfile.php');
}
global $opnConfig;

$opnConfig['permission']->HasRight ('admin/modultheme', _PERM_ADMIN);
$opnConfig['module']->InitModule ('admin/modultheme', true);
include (_OPN_ROOT_PATH . 'include/module.build_pagebar.php');

function modultheme_delpage () {

	global $opnTables, $opnConfig;

	get_var ('module', $module = '', 'url', _OOBJ_DTYPE_CLEAN);
	$module = urldecode ($module);
	$_module = $opnConfig['opnSQL']->qstr ($module);
	get_var ('ok', $ok = 0, 'url', _OOBJ_DTYPE_INT);
	$boxtxt = '';
	if ( ($ok == 1) OR ($opnConfig['opn_expert_mode'] == 1) ) {
		$opnConfig['database']->Execute ('DELETE FROM ' . $opnTables['opn_modultheme'] . " WHERE ((id=$_module) AND (id<>'opnindex')) OR id=''");
	} else {
		$boxtxt = '<div class="centertag"><br />';
		$boxtxt .= '<span class="alerttext">' . _MTH_WARNING_DEL . '</span>';
		$boxtxt .= '<br /><br />';
		$boxtxt .= '<a class="opncenterbox" href="' . encodeurl (array ($opnConfig['opn_url'] . '/admin.php',
										'fct' => 'modultheme',
										'op' => 'delpage',
										'module' => $module,
										'ok' => '1') ) . '">' . _YES . '</a>&nbsp;&nbsp;&nbsp;<a class="opncenterbox" href="' . encodeurl ($opnConfig['opn_url'] . '/admin.php?fct=modultheme') . '">' . _NO . '</a><br /><br /></div>';
	}
	return $boxtxt;

}

function ChangeTheSide () {

	global $opnTables, $opnConfig;

	get_var ('module', $module = '', 'both', _OOBJ_DTYPE_CLEAN);
	$module = urldecode ($module);
	get_var ('switch', $switch = '', 'both', _OOBJ_DTYPE_CLEAN);
	$_module = $opnConfig['opnSQL']->qstr ($module);
	switch ($switch) {
		case 'RIGHT':
			$side = 'sideright';
			break;
		case 'LEFT':
			$side = 'sideleft';
			break;
		default:
			$side = 'sidecenter';
			break;
	}
	$result = &$opnConfig['database']->Execute ('SELECT ' . $side . ' FROM ' . $opnTables['opn_modultheme'] . " WHERE id=$_module");
	$row = $result->GetRowAssoc ('0');
	if ($row[$side] == 0) {
		$setto = 1;
	} else {
		$setto = 0;
	}
	$opnConfig['database']->Execute ('UPDATE ' . $opnTables['opn_modultheme'] . ' SET ' . $side . "=$setto WHERE id=$_module");

}

function modultheme_AddNewTPL () {

	global $opnTables, $opnConfig;

	get_var ('module', $module = '', 'both', _OOBJ_DTYPE_CLEAN);
	$module = urldecode ($module);
	get_var ('sideright', $sideright = 0, 'both', _OOBJ_DTYPE_INT);
	get_var ('sideleft', $sideleft = 0, 'both', _OOBJ_DTYPE_INT);
	get_var ('sidecenter', $sidecenter = 0, 'both', _OOBJ_DTYPE_INT);
	get_var ('themegroup', $themegroup = 0, 'both', _OOBJ_DTYPE_INT);
	$_module = $opnConfig['opnSQL']->qstr ($module);
	$query = 'SELECT id FROM ' . $opnTables['opn_modultheme'] . " WHERE id=$_module";
	$result = &$opnConfig['database']->Execute ($query);
	if (is_object ($result) ) {
		$t = $result->RecordCount ();
		$result->Close ();
	} else {
		$t = 0;
	}
	if ($t == 0) {
		$sql = 'INSERT INTO ' . $opnTables['opn_modultheme'] . " (id, sideright, sideleft, sidecenter, tplurl, themegroup) VALUES ($_module, $sideright, $sideleft, $sidecenter, '', $themegroup)";
	} elseif ($t == 1) {
		$sql = 'UPDATE ' . $opnTables['opn_modultheme'] . " SET sideright=$sideright, sideleft=$sideleft, sidecenter=$sidecenter, tplurl='', themegroup=$themegroup WHERE id=$_module";
	} else {
		$opnConfig['database']->Execute ('DELETE FROM ' . $opnTables['opn_modultheme'] . " WHERE (id=$_module) AND (id<>'opnindex')");
		$sql = 'INSERT INTO ' . $opnTables['opn_modultheme'] . " (id, sideright, sideleft, sidecenter, tplurl, themegroup) VALUES ($_module, $sideright, $sideleft, $sidecenter, '', $themegroup)";
	}
	$opnConfig['database']->Execute ($sql);

}

function modultheme_SaveTPLFile () {

	global $opnTables, $opnConfig, $opnTheme;

	get_var ('module', $module = '', 'both', _OOBJ_DTYPE_CLEAN);
	$module = urldecode ($module);
	$module_name = str_replace ('/', '_', $module);
	get_var ('tpl', $tpl = '', 'both', _OOBJ_DTYPE_CHECK);
	include_once (_OPN_ROOT_PATH . _OPN_CLASS_SOURCE_PATH . 'class.file.php');
	$data = 'themes_' . $opnTheme['thename'];
	$tplfile = $opnConfig['datasave'][$data]['path'] . $module_name . '.tpl';
	$File = & new opnFile;
	$File->SetTempdir ($opnConfig['datasave'][$data]['path']);
	$File->overwrite_file ($tplfile, stripslashes ($tpl) );
	$_module = $opnConfig['opnSQL']->qstr ($module);
	$_tplfile = $opnConfig['opnSQL']->qstr ($tplfile);
	$sql = 'UPDATE ' . $opnTables['opn_modultheme'] . " SET tplurl=$_tplfile WHERE id=$_module";
	$opnConfig['database']->Execute ($sql);

}

function modultheme_SaveTPL () {

	global $opnTables, $opnConfig;

	get_var ('module', $module = '', 'both', _OOBJ_DTYPE_CLEAN);
	$module = urldecode ($module);
	get_var ('themegroup', $themegroup = 0, 'both', _OOBJ_DTYPE_INT);
	$_module = $opnConfig['opnSQL']->qstr ($module);
	$sql = 'UPDATE ' . $opnTables['opn_modultheme'] . " SET themegroup=$themegroup WHERE id=$_module";
	$opnConfig['database']->Execute ($sql);

}

?>